import { DirectionalLight, DirectionalLightHelper } from "three";

function createLights(color) {
  const light = new DirectionalLight(color, 4);
  const lightHelper = new DirectionalLightHelper(light, 0);
  light.position.set(60, 100, 30);

  // eslint-disable-next-line @typescript-eslint/no-empty-function
  light.tick = () => {};

  return { light, lightHelper };
}

export { createLights };
